# Prepare artwork upload

Source: https://holofolder.com/app/docs/reference/collection/prepare-artwork-upload

POST https://app.holofolder.com/app/api/v1/artwork/uploads

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "prepare_artwork_upload",
  "summary": "Prepare artwork upload",
  "description": "Create a signed private R2 upload URL and artworkRef for the appearance design. Send the returned headers and exact file bytes.\n\nRequired permissions: `binders:write`. MCP tool: `prepare_artwork_upload`.",
  "tags": [
    "Collection"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$schema": "https://json-schema.org/draft/2020-12/schema",
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "mimeType": {
              "type": "string",
              "enum": [
                "image/png",
                "image/jpeg",
                "image/webp"
              ]
            },
            "size": {
              "type": "integer",
              "exclusiveMinimum": 0,
              "maximum": 5242880
            }
          },
          "required": [
            "id",
            "mimeType",
            "size"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
